Bug 243299 - dbginfo.sh exits before running all tests and drops two errors, kernelversion not found and find
dbginfo.sh exits before running all tests and drops two errors, kernelversion...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: s390utils (Show other bugs)
5.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 09:07 EDT by Eric Sammons
Modified: 2009-01-20 16:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:49:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addresses kernelversion by using uname -r, may not be pretty but it works, and the find -noleaf line is rewritten (203 bytes, patch)
2007-06-08 09:07 EDT, Eric Sammons
no flags Details | Diff

  None (edit)
Description Eric Sammons 2007-06-08 09:07:47 EDT
Description of problem:
When running dbginfo.sh two errors are reported by the script.  

/bin/dbginfo.sh: line 348: kernelversion: command not found
/bin/dbginfo.sh: line 348: [: =: unary operator expected
find: warning: you have specified the -noleaf option after a non-option argument
-type, but options are not positional (-noleaf affects tests specified before it
as well as those specified after it).  Please specify options before other
arguments.

How reproducible:

Very

Steps to Reproduce:
1. dbginfo.sh
  
Actual results:

/bin/dbginfo.sh: line 348: kernelversion: command not found
/bin/dbginfo.sh: line 348: [: =: unary operator expected
find: warning: you have specified the -noleaf option after a non-option argument
-type, but options are not positional (-noleaf affects tests specified before it
as well as those specified after it).  Please specify options before other
arguments.

Expected results:

No errors, and a complete dbginfo report.

Additional info:

dbginfo will prove valuable when trying to determine issues within the s390x
environment.  current sysreport tools do not provide all s390x specific data.
Comment 1 Eric Sammons 2007-06-08 09:07:48 EDT
Created attachment 156573 [details]
Patch addresses kernelversion by using uname -r, may not be pretty but it works, and the find -noleaf line is rewritten
Comment 2 Phil Knirsch 2008-01-21 08:33:21 EST
Reviewed from devel side, perfect fix for those 2 problems. Flagging for
RHEL-5.3 and giving Devel ACK.

Read ya, Phil
Comment 3 RHEL Product and Program Management 2008-06-04 18:49:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2009-01-20 16:49:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0188.html

Note You need to log in before you can comment on or make changes to this bug.